Bug 595543 - [abrt] crash in dvdauthor-0.6.18-1.fc13: dump_dvd: Process /usr/bin/dvdunauthor was killed by signal 11 (SIGSEGV)
[abrt] crash in dvdauthor-0.6.18-1.fc13: dump_dvd: Process /usr/bin/dvdunauth...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: dvdauthor (Show other bugs)
13
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Ville Skyttä
Fedora Extras Quality Assurance
abrt_hash:0d9cf3e2e0ef554396d897c68c4...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-24 18:05 EDT by Simon Farnsworth
Modified: 2010-11-28 15:45 EST (History)
2 users (show)

See Also:
Fixed In Version: dvdauthor-0.7.0-2.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-28 15:45:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (14.64 KB, text/plain)
2010-05-24 18:05 EDT, Simon Farnsworth
no flags Details

  None (edit)
Description Simon Farnsworth 2010-05-24 18:05:29 EDT
abrt 1.1.0 detected a crash.

architecture: x86_64
Attached file: backtrace
cmdline: dvdunauthor /dev/sr0
comment: Attempted to unauthor a DVD written by a home camcorder, in order to produce a higher quality copy. The DVD has been finalised, so should have all the datastructures needed for a normal DVD player to play it, but will also have some DVD-VR datastructures as well.
component: dvdauthor
crash_function: dump_dvd
executable: /usr/bin/dvdunauthor
global_uuid: 0d9cf3e2e0ef554396d897c68c4bfc4e2ddd4f6c
kernel: 2.6.33.4-95.fc13.x86_64
package: dvdauthor-0.6.18-1.fc13
rating: 4
reason: Process /usr/bin/dvdunauthor was killed by signal 11 (SIGSEGV)
release: Fedora release 13 (Goddard)
Comment 1 Simon Farnsworth 2010-05-24 18:05:31 EDT
Created attachment 416234 [details]
File: backtrace
Comment 2 Ville Skyttä 2010-05-25 01:23:45 EDT
Bug report forwarded upstream.  I'll try to find time to have a closer look later.  If the DVD you're working with contains material you're comfortable with sharing with me, a link to a .iso file (in private mail if you prefer) created from it could be helpful in trying to reproduce the issue.
Comment 3 Ville Skyttä 2010-05-25 11:50:23 EDT
Upstream did a quick analysis, and it seems there may be something wrong with dvdunauthor's error handling wrt. libdvdread.  However, libdvdread may have printed some warnings on the console before the crash, did you see any, or can you try the same command you did again (in a shell) and post what you see on the console?
Comment 4 Simon Farnsworth 2010-05-25 14:57:05 EDT
It does look like there's something wrong with the error handling - and presumably the physical DVD as well:

INFO: VMGM
*** Zero check failed in /builddir/build/BUILD/libdvdread-4.1.4/src/ifo_read.c:518
    for vmgi_mat->zero_3 = 0x00000000010000000000000000000000000000
STAT: [0] VOB 1, Cell 1 (0%)^MSTAT: [1] VOB 2, Cell 1 (50%)

INFO: VTSM 1/1

*** libdvdread: CHECK_VALUE failed in /builddir/build/BUILD/libdvdread-4.1.4/src/ifo_read.c:1602 ***
*** for c_adt->cell_adr_table[i].start_sector < c_adt->cell_adr_table[i].last_sector ***

(which repeats lots of times, then the crash).
Comment 6 Fedora Update System 2010-10-31 11:30:03 EDT
dvdauthor-0.7.0-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/dvdauthor-0.7.0-1.fc14
Comment 7 Fedora Update System 2010-10-31 17:30:17 EDT
dvdauthor-0.7.0-1.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update dvdauthor'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/dvdauthor-0.7.0-1.fc14
Comment 8 Fedora Update System 2010-11-09 11:33:59 EST
dvdauthor-0.7.0-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/dvdauthor-0.7.0-2.fc14
Comment 9 Fedora Update System 2010-11-28 15:44:45 EST
dvdauthor-0.7.0-2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.